# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Test-Moose-More
Version:        0.019
Release:        alt1_1
Summary:        More tools for testing Moose packages
License:        LGPLv2+
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Test-Moose-More/
Source0:        http://www.cpan.org/authors/id/R/RS/RSRCHBOY/Test-Moose-More-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(Data/OptList.pm)
BuildRequires:  perl(Moose/Autobox.pm)
BuildRequires:  perl(Moose/Util.pm)
BuildRequires:  perl(Moose/Util/TypeConstraints.pm)
BuildRequires:  perl(Perl6/Junction.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Sub/Exporter.pm)
BuildRequires:  perl(Test/Builder.pm)
BuildRequires:  perl(Test/Moose.pm)
BuildRequires:  perl(Test/More.pm)
# Tests only:
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Temp.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Deprecated.pm)
BuildRequires:  perl(Moose/Role.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(TAP/SimpleOutput.pm)
BuildRequires:  perl(Test/Builder/Tester.pm)
# Optional tests:
BuildRequires:  perl(Test/Script.pm)
Requires:       perl(Test/More.pm) >= 0.88

# Removed under-specified dependencies

Source44: import.info
%filter_from_requires /^^perl\\(Test::More\\)$/d

%description
This package contains a number of additional tests that can be employed
against Moose classes/roles. It is intended to replace Test::Moose.

%prep
%setup -q -n Test-Moose-More-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%check
make test

%files
# README is the same as main POD
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.019-alt1_1
- update to new release by fcimport

* Mon Jan 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.018-alt1_1
- update to new release by fcimport

* Wed Dec 12 2012 Igor Vlasenko <viy@altlinux.ru> 0.017-alt1_1
- update to new release by fcimport

* Tue Sep 04 2012 Igor Vlasenko <viy@altlinux.ru> 0.011-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.009-alt2_3
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.009-alt2_1
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1_1
- fc import

